Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007924TestLinkIssue Tracker managementpublic2017-04-19 03:312017-04-25 07:05
Reporterzhminger 
Assigned Tofman 
PriorityhighSeveritycrashReproducibilityalways
StatusassignedResolutionreopened 
Platformnginx + php7 + mysqlOSubuntu x64OS Version16.04LTS
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007924: issueTrackerEdit.php post 500
Descriptionin Issue Tracker Management
create a new tracker
i use jira-rest
click save or check
appear 500.
Steps To Reproduce1. Click Issue Tracker Management
2. Click Create
3. Input Issue Tracker = jira
4. Select Type = jira (Interface: rest)
5. Input Configuration = picture
6. Click Test Connection
7. 500
Additional Information# cat testlinkuserlog1.log [11:15:27]
[<<][58f6d6334d7cc128180577][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:14:59][17/Apr/19 03:14:59][took 0.002609 secs]
[>>][58f6d6334e2ca356607570][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:14:59]
[<<][58f6d6334e2ca356607570][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:14:59][17/Apr/19 03:14:59][took 0.002039 secs]
[>>][58f6d6334eb34530751607][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:14:59]
[<<][58f6d6334eb34530751607][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:14:59][17/Apr/19 03:14:59][took 0.002776 secs]
[<<][58f6d63c13ae9493411287][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:15:08][17/Apr/19 03:15:08][took 0.002575 secs]
[>>][58f6d63c14584833210249][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:15:08]
[<<][58f6d63c14584833210249][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:15:08][17/Apr/19 03:15:08][took 0.001938 secs]
[>>][58f6d63c14d88554670786][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:15:08]
        [17/Apr/19 03:15:08][WARNING][nr61gtm5t94adjhl6ik1qos784][GUI]
                E_NOTICE
Undefined index: checkConnection - in /home/testlink/lib/issuetrackers/issueTrackerCommands.class.php - Line 72
        [17/Apr/19 03:15:08][WARNING][nr61gtm5t94adjhl6ik1qos784][GUI]
                E_WARNING
Missing argument 3 for jirarestInterface::__construct(), called in /home/testlink/lib/issuetrackers/issueTrackerCommands.class.php on line 268 and defined - in /home/testlink/lib/issuetrackerintegration/jirarestInterface.class.php - Line 34
        [17/Apr/19 03:15:08][WARNING][nr61gtm5t94adjhl6ik1qos784][GUI]
                E_NOTICE
Undefined variable: name - in /home/testlink/lib/issuetrackerintegration/jirarestInterface.class.php - Line 36
[<<][58f6d63c14d88554670786][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/19 03:15:08][17/Apr/19 03:15:08][took 0.010454 secs]
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql 5.7.18
BrowserChrome59
PHP VersionPHP 7.0.15-0ubuntu0.16.04.4
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Fileszip file icon screenshot.zip [^] (380,201 bytes) 2017-04-19 03:31

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026291)
zhminger (reporter)
2017-04-19 03:56
edited on: 2017-04-20 04:45

1.9.17 also

(0026294)
fman (administrator)
2017-04-19 13:36

will check
please next time a less cryptic subject
(0026295)
fman (administrator)
2017-04-19 20:54

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/20a47dd65c48522f3a072aac8c5b985a2eae2fdb [^]
(0026297)
zhminger (reporter)
2017-04-20 04:47

base 1.9.17 , also 500
"Undefined variable: name" is clear
but "Undefined index: checkConnection"

[>>][58f83c536b151173213230][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Apr/20 04:42:59]
    [17/Apr/20 04:42:59][WARNING][aa6h8rqmo48vkhnv60dr95tsl3][GUI]
        E_NOTICE
Undefined index: checkConnection - in /home/testlink/lib/issuetrackers/issueTrackerCommands.class.php - Line 72
(0026298)
fman (administrator)
2017-04-20 08:56

Can you kindly enough to provide clear & detailed steps to reproduce?
(0026299)
zhminger (reporter)
2017-04-20 10:32

1. Click Issue Tracker Management
2. Click Create
3. Input Issue Tracker = jira
4. Select Type = jira (Interface: rest) or anyone
5. Input Configuration = picture
6. Click Test Connection
7. 500
(0026300)
fman (administrator)
2017-04-20 18:24

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/a8e4052548999f40b04a60ef93290a6ace6308f2 [^]
(0026302)
fman (administrator)
2017-04-21 05:31

Unfortunately there is something in your environment that can not be traced from log.
Only option is debug on same env, and I've no chance no time.

I'm going try to start with a clean code on my env: mamp on OSX and see what happens.
(apache+mysql+php7.1)

my suggestion is to get BITNAMI installer, and do a install to test on this environment.
(0026305)
zhminger (reporter)
2017-04-21 11:10

could i manual edit the tracker? use sql or other?
i look you create a blank tracker,it's ok, but can't have config.

- Issue History
Date Modified Username Field Change
2017-04-19 03:31 zhminger New Issue
2017-04-19 03:31 zhminger File Added: screenshot.zip
2017-04-19 03:56 zhminger Note Added: 0026291
2017-04-19 13:36 fman Note Added: 0026294
2017-04-19 20:54 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-04-19 20:54 fman Note Added: 0026295
2017-04-19 20:54 fman Status new => resolved
2017-04-19 20:54 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-04-19 20:54 fman Resolution open => fixed
2017-04-19 20:54 fman Assigned To => fman
2017-04-19 20:54 fman Relationship added child of 0007817
2017-04-20 04:43 zhminger Note Added: 0026296
2017-04-20 04:45 zhminger Note Edited: 0026296 View Revisions
2017-04-20 04:45 zhminger Note Edited: 0026291 View Revisions
2017-04-20 04:45 zhminger Note Edited: 0026296 View Revisions
2017-04-20 04:47 zhminger Note Added: 0026297
2017-04-20 04:47 zhminger Status resolved => assigned
2017-04-20 04:47 zhminger Resolution fixed => reopened
2017-04-20 04:47 zhminger Note Deleted: 0026296
2017-04-20 08:56 fman Note Added: 0026298
2017-04-20 08:56 fman Status assigned => feedback
2017-04-20 10:32 zhminger Note Added: 0026299
2017-04-20 10:32 zhminger Status feedback => assigned
2017-04-20 10:50 zhminger Note View State: 0026299: private
2017-04-20 10:50 zhminger Note View State: 0026299: public
2017-04-20 18:24 fman Note Added: 0026300
2017-04-21 05:31 fman Note Added: 0026302
2017-04-21 11:03 zhminger Note Added: 0026304
2017-04-21 11:09 zhminger Note Deleted: 0026304
2017-04-21 11:10 zhminger Note Added: 0026305



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker